/* Filename:    J006_SimpleInv6.js
 * Description: Creating a simple inventory application -
 *              Adding functionality to the ok/cancel actions
 * Copyright:   2014 The Code Corporation.  All rights are reserved.
 * $Revision: 636 $
 * $Date: 2014-02-26 17:24:04 -0700 (Wed, 26 Feb 2014) $
 */
 
// Form event handlers
function inventoryOnCancel()
{
    // clear the form
    itemEdit.text  = "";
    quantEdit.text = "";
}

function inventoryOnOk()
{
    // write the data to inventory.dat file
    gui.statusText = "Saving...";
    
    var ok = storage.append("inventory.dat", quantEdit.text + " of item " + itemEdit.text + "\n");
    
    gui.statusText = ok? "Saved": "Save failed!";
    
    // clear the form (to start another)
    inventoryOnCancel();
}

// Create the form and edit controls
var inventory = new gui.Form(inventoryOnOk, inventoryOnCancel);
var itemEdit  = new gui.Edit();
var quantEdit = new gui.Edit();

// Add label and edit boxes to the form
inventory.append(new gui.Label("Item #:"));
inventory.append(itemEdit);
inventory.append(new gui.Label("Quantity:"));
inventory.append(quantEdit);

// Add a caption
inventory.caption = "Inventory";

// Show the form
gui.showForm(inventory);

//EOF
