/* Filename:    J010_specialSettings.js
 * Description: Using JavaScript to write settings.
 * Copyright:   2014 The Code Corporation.  All rights are reserved.
 * $Revision: 636 $
 * $Date: 2014-02-26 17:24:04 -0700 (Wed, 26 Feb 2014) $
 */
 
if(storage.read(".crx.js")) //Running on the CR3500 Hardware
    include(".crx.js");
if(storage.read(".cre.js")) //Running on the CR3600 Hardware
    include(".cre.js");

reader.defaultSettings();          // Set to Defaults

reader.writeSetting(0x08,     1);  // protocol   = raw
reader.writeSetting(0x1b,     1);  // comm mode  = rs232
reader.writeSetting(0x1c, 19200);  // baud       = 19200
reader.writeSetting(0x42,     0);  // don't expect acknowledgement from host
reader.writeSetting(0xc4,     2);  // default event (continuous trigger) = show target indicator

//Workaround for communications settings
comm.connect(30); //attempt to connect for up to 30 seconds

//EOF