//jsSignatureStart%071N%f0%02%81/Ql;%ac%da%0d%c1%09{%e8%84%1e%aa%b4_%f6%df%f3%9e~H%f3f%b6%b0N%d9D%da%c3f%94%b7!%08%0d!G2%e5%87%14%e3%8em%a4%1c%c431D%da%9c%05%93%18fQV%05R%a8%beL%f7%b3%136$<^%ca3g%8c%e1%f8/%e6)+%daib%ea5%de%a8m%e2%b2%ac%e7%86%f3+%ccO%ca%a1PZ%adb%820%9a%14~ %ce%15%dc+%ef%e1%96%a0%ec%e8%d1
	/* Filename:    dRunDemo.js
	 * Description: This application demonstrate the capability of the CS3600 in an event settings such as concerts, clubs, etc.
	 *              When the system boots, the user will be able to enter demo mode to test functionalities that are capabile
	 *              with the 3600 system.
	 * Copyright:   2013 The Code Corporation. All rights are reserved.
	 * $Title: Start demo $
	 * $Revision: 1.0 $
	 * $Date: 2013-10-21 09:34:52 $
	 * $Author: Dthai
	 */

	include(".cre.js");

	//Override ready.show
	ready.oldShow = ready.show;
	ready.show = function(text, busy)
	{
		//Do nothing for demo script
	}

	/* Data variables for splash screen */
	var isInit = true;
	var demoSplash = "";

	if (isInit)
	{
		if(storage.read("demologo.img"))
		{
		 gui.splash( "demologo.img"); //function created for the 3600
		 setTimeout(loadSplash, 3000);
		}
		else
		{
			loadSplash();
		}
	}

	/* Loads the exit demo screen */
	function loadExit()
	{
		 var splashExit = new gui.Menu;
		 splashExit.caption = "Exit demo?";
		 splashExit.leftSoftkey = new gui.Softkey ("Yes", onDemoCancel);
		 splashExit.rightSoftkey = new gui.Softkey ("No", function() { menu = demoSplash; gui.showDialog(menu);});
		 gui.showDialog(splashExit);
	}

	/* Exits the demo splash screen and returns to the barcodes default js file */
	function onDemoCancel()
	{
		//reset useDemoScript setting.
		reader.processCommand("C", "(" + setting_useDemoScript.toString(16) + ")0");
		reader.runScript(".default.js");
	}

	/* Loads the demo options screen */
	function loadOptions()
	{
		 reader.runScript(".dOptions.js");
	}

	/* Load the splash intro */
	function loadSplash()
	{
		 gui.clearSplash(); // call this statement inside the cfuntion to clear the splash.
		 demoSplash = new gui.Menu();
		 demoSplash.leftSoftkey             = new gui.Softkey  ("Start", function() {loadOptions();});
		 demoSplash.rightSoftkey            = new gui.Softkey  ("Exit", function() {loadExit();});
		 demoSplash.append                   (new gui.Label	("Welcome to" ));
		 demoSplash.append                   (new gui.Label	("Code CR3600 "));
		 demoSplash.append                   (new gui.Label	("features demo."));
		 demoSplash.append                   (new gui.Label  	("This will show"));
		 demoSplash.append                   (new gui.Label	("the reader's"));
		 demoSplash.append                   (new gui.Label	("capabilities in" ));
		 demoSplash.append                   (new gui.Label	("different event"));
		 demoSplash.append                   (new gui.Label	("settings.  Code"));
		 demoSplash.append                   (new gui.Label	("can customize"));
		 demoSplash.append                   (new gui.Label	("the CR3600 to"));
		 demoSplash.append                   (new gui.Label	("your specific " ));
		 demoSplash.append                   (new gui.Label	("requirements. "));
		 demoSplash.append                   (new gui.Label	("Please contact"));
		 demoSplash.append                   (new gui.Label	("Code Technical " ));
		 demoSplash.append                   (new gui.Label	("Support for " ));
		 demoSplash.append                   (new gui.Label	("information."));
		 gui.showDialog(demoSplash);
	}


