/* .configure_main_comm_interface_usb.js
 * $Revision: 7022 $
 */



main.comm.interfaces.usb = new gui.Menu();

main.comm.interfaces.usb.kb_onClick = function()
{
	main.comm.interfaces.promptSaveSetting(main.comm.interfaces.usb.change_tokbMode);
}

main.comm.interfaces.usb.change_tokbMode = function()
{
	reader.processCommand("P", String.fromCharCode(commProtocol) + comm_raw);
    reader.processCommand("P", String.fromCharCode(commMode) + comm_usbKb);
    reader.processCommand("P", String.fromCharCode(commExpectResponse) + "0");
	reader.saveSettings();
    reader.runScript(".default.js");
} 

main.comm.interfaces.usb.downloader_onClick = function()
{
    main.comm.interfaces.promptSaveSetting(main.comm.interfaces.usb.change_todownloaderMode);
}

main.comm.interfaces.usb.change_todownloaderMode = function()
{
	reader.processCommand("P", String.fromCharCode(commProtocol) + comm_raw);
    reader.processCommand("P", String.fromCharCode(commMode) + comm_usbNative);
    reader.processCommand("P", String.fromCharCode(commExpectResponse) + "0");
	reader.saveSettings();
    reader.runScript(".default.js");
}

main.comm.interfaces.usb.twoWay_onClick = function()
{
    main.comm.interfaces.promptSaveSetting(main.comm.interfaces.usb.change_to2wayMode);
}

main.comm.interfaces.usb.change_to2wayMode = function()
{
	reader.processCommand("P", String.fromCharCode(commProtocol) + comm_version0);
    reader.processCommand("P", String.fromCharCode(commMode) + comm_usbNative);
    reader.processCommand("P", String.fromCharCode(commExpectResponse) + "1");
	reader.saveSettings();
    reader.runScript(".default.js");
}


main.comm.interfaces.usb.change_tovcom1wayMode = function()
{
	reader.processCommand("P", String.fromCharCode(commProtocol) + comm_raw);
    reader.processCommand("P", String.fromCharCode(commMode) + comm_usbVcom);
    reader.processCommand("P", String.fromCharCode(commExpectResponse) + "0");
	reader.saveSettings();
    reader.runScript(".default.js");
}

main.comm.interfaces.usb.kb = new gui.MenuItem("", main.comm.interfaces.usb.kb_onClick);
main.comm.interfaces.usb.downloader = new gui.MenuItem("", main.comm.interfaces.usb.downloader_onClick);
main.comm.interfaces.usb.twoWay = new gui.MenuItem("", main.comm.interfaces.usb.twoWay_onClick);

main.comm.interfaces.usb.append(main.comm.interfaces.usb.kb);
main.comm.interfaces.usb.append(main.comm.interfaces.usb.downloader);
main.comm.interfaces.usb.append(main.comm.interfaces.usb.twoWay);

main.comm.interfaces.usb.initItemText = function()
{
    if( reader.readSetting(commMode) == comm_usbKb )
    {
        main.comm.interfaces.usb.kb.text         = "*"    + "Keyboard";
        main.comm.interfaces.usb.downloader.text = "\x1f" + "Downloader";
        main.comm.interfaces.usb.twoWay.text     = "\x1f" + "Native 2way";
    }
    else if( reader.readSetting(commMode) == comm_usbNative && reader.readSetting(commProtocol) == comm_raw )
    {
        main.comm.interfaces.usb.kb.text         = "\x1f" + "Keyboard";
        main.comm.interfaces.usb.downloader.text = "*"    + "Downloader";
        main.comm.interfaces.usb.twoWay.text     = "\x1f" + "Native 2way";
    }
    else if( reader.readSetting(commMode) == comm_usbNative && reader.readSetting(commProtocol) != comm_raw )
    {
        main.comm.interfaces.usb.kb.text         = "\x1f" + "Keyboard";
        main.comm.interfaces.usb.downloader.text = "\x1f" + "Downloader";
        main.comm.interfaces.usb.twoWay.text     = "*"    + "Native 2way";
    }
    else 
    {
        main.comm.interfaces.usb.kb.text         = "\x1f" + "Keyboard";
        main.comm.interfaces.usb.downloader.text = "\x1f" + "Downloader";
        main.comm.interfaces.usb.twoWay.text     = "\x1f" + "Native 2way";
    }
}



