/* Filename:    .dInventory.js
 * Description: Demo Inventory App
 * Copyright:   2013 The Code Corporation. Please see http://www.codecorp.com/jsLicensing.html for information regarding copyright and grant of license.
 * $Title: Inventory Demo $
 * $Revision: 1.00  $
 * $Date: 2013-10-09 16:26:51 -0700 (Wed, 09 Oct 2013) $
 * $Author: eguptill  $
 */
 
include (".dOptions.js"); // Include for demo main menu
include(".cre.js");
	
	//Override ready.show 
	ready.oldShow = ready.show;
	ready.show = function(text, busy)
	{
		//Do nothing for demo script
	}

 
//variables
var scannerId = new Array();
var products = new Array();
var location = new Array();
var invQuant = new Array();
var oldQuant = new Array();
var quantAdjust = new Array();
var dateStamp = new Array();
var scanNumber = new Array();
var fullScannerId = new Array();
var fullProducts = new Array();
var fullLocation = new Array();
var fullInvQuant = new Array();
var fullOldQuant = new Array();
var fullQuantAdjust = new Array();
var fullDateStamp = new Array();
var fullScanNumber = new Array();
var scanProducts = "";
var scanLocation = "";
var scanQuantity = "";
var oldQuantity = "";
var scanAdjust = "";
var timeStamp = "";
var dailyTotal = 0;
var decodeFlag = 0;
var checkProd = "";
var checkLoc = "";
var checkStamp = "";
var rId = reader.readerId.toString();

//construct main inventory demo menu
inventoryMenu = new gui.Menu();
inventoryMenu.leftSoftkey = new gui.Softkey("Options", function(){gui.showDialog(inventoryMenu.options);});
inventoryMenu.rightSoftkey = new gui.Softkey("Exit", function(){gui.showDialog(inventoryMenu.quit);});
inventoryMenu.append(new gui.Label(" "));
inventoryMenu.append(new gui.Label("      CR3600"));
inventoryMenu.append(new gui.Label("     Inventory"));
inventoryMenu.append(new gui.Label("    Application"));
inventoryMenu.append(new gui.Label(" "));

//construct options menu
inventoryMenu.options = new gui.Menu();
inventoryMenu.options.leftSoftkey = new gui.Softkey("Select", function(){gui.sendKey(gui.key.enter);});
inventoryMenu.options.rightSoftkey = new gui.Softkey("Cancel", function(){gui.showDialog(inventoryMenu);});
inventoryMenu.options.append(new gui.MenuItem("Scan Products", inventoryForm));
inventoryMenu.options.append(new gui.MenuItem("Check Quantity", checkProdQuant));
inventoryMenu.options.append(new gui.MenuItem("Check Location", checkProdLoc));
inventoryMenu.options.append(new gui.MenuItem("Last Edit Date", checkTimeStamp));
inventoryMenu.options.append(new gui.MenuItem("Upload File", fileUpload));
inventoryMenu.options.append(new gui.MenuItem("Total Scans", checkScans));

//construct quit menu
inventoryMenu.quit = new gui.Menu();
//inventoryMenu.quit.leftSoftkey = new gui.Softkey("Yes", function(){reader.runScript(".default.js")});//gui.showDialog(demoSplash.options)});
inventoryMenu.quit.leftSoftkey = new gui.Softkey("Yes", function(){menu = demoOptions;gui.showDialog(menu);});//gui.showDialog(demoSplash.options)});
inventoryMenu.quit.rightSoftkey = new gui.Softkey("No", function(){gui.showDialog(inventoryMenu);});
inventoryMenu.quit.append(new gui.Label(" "));
inventoryMenu.quit.append(new gui.Label("        Quit"));
inventoryMenu.quit.append(new gui.Label("     Inventory"));
inventoryMenu.quit.append(new gui.Label("   Application?"));
inventoryMenu.quit.append(new gui.Label(" "));

//construct check product quantity menu
quantCheck = new gui.Menu();
quantCheck.leftSoftkey = new gui.Softkey("Another", function(){displayTwo.text = " "; displayInfo.text = "  Scan Product ";});
quantCheck.rightSoftkey = new gui.Softkey("Back", function(){displayTwo.text = " "; displayInfo.text = "  Scan Product ";
                                                                decodeFlag = tempFlag; gui.showDialog(inventoryMenu.options);});
displayInfo = new gui.Label("  Scan Product ");
displayTwo = new gui.Label(" ");
displayOne = new gui.Label(" ");
quantCheck.append(displayOne);
quantCheck.append(displayTwo);
quantCheck.append(displayInfo);
quantCheck.caption = "Product Quantity";

//construct check product location menu
quantLoc = new gui.Menu();
quantLoc.leftSoftkey = new gui.Softkey("Another", function(){displayFour.text = " "; displayLoc.text = "  Scan Product "; displayFive.text = " ";});
quantLoc.rightSoftkey = new gui.Softkey("Back", function(){displayFour.text = " "; displayLoc.text = "  Scan Product "; displayFive.text = " ";
                                                                decodeFlag = tempFlag; gui.showDialog(inventoryMenu.options);});
displayLoc = new gui.Label("  Scan Product  ");
displayThree = new gui.Label(" ");
displayFour = new gui.Label(" ");
displayFive = new gui.Label(" ");
quantLoc.append(displayThree);
quantLoc.append(displayFour);
quantLoc.append(displayLoc);
quantLoc.append(displayFive);
quantLoc.caption = "Product Location";

//construct check last entry date menu
quantDate = new gui.Menu();
quantDate.leftSoftkey = new gui.Softkey("Another", function(){displayFives.text = " "; displaySix.text = " "; displaySeven.text = " "; displayStamp.text = "  Scan Product ";
                                                                displayEight.text = " "; displayNine.text = " ";});
quantDate.rightSoftkey = new gui.Softkey("Back", function(){displayFives.text = " "; displaySix.text = " "; displaySeven.text = " "; displayStamp.text = "  Scan Product ";
                                                                displayEight.text = " "; displayNine.text = " "; decodeFlag = tempFlag; gui.showDialog(inventoryMenu.options);});
displayStamp = new gui.Label("  Scan Product  ");
displayFives = new gui.Label(" ");
displaySix = new gui.Label(" ");
displaySeven = new gui.Label(" ");
displayEight = new gui.Label(" ");
displayNine = new gui.Label("");
quantDate.append(displayFives);
quantDate.append(displaySix);
quantDate.append(displayStamp);
quantDate.append(displaySeven);
quantDate.append(displayEight);
quantDate.append(displayNine);
quantDate.caption = "Last Edit Date";

//construct menu to show total number of scans
scanCheck = new gui.Menu();
scanCheck.leftSoftkey = new gui.Softkey(" ", function(){ ;});
scanCheck.rightSoftkey = new gui.Softkey("Back", function(){gui.showDialog(inventoryMenu.options);});
scanCheck.append(new gui.Label(" "));
scanCheck.append(new gui.Label(" "));
var scanNum = new gui.Label(" ");
scanCheck.append(scanNum);
scanCheck.append(new gui.Label(" "));
scanCheck.append(new gui.Label(" "));
scanCheck.caption = "Scan Total";

//construct save/change display menu
saveChangeMenu = new gui.Menu();
saveChangeMenu.leftSoftkey = new gui.Softkey("Save", saveAll);
saveChangeMenu.rightSoftkey = new gui.Softkey("Reset", formReset);
saveChangeMenu.append(new gui.Label("SCANNER ID: "));
var scmRid = new gui.Label(" ");
saveChangeMenu.append(scmRid);
saveChangeMenu.append(new gui.Label("PRODUCT: "));
var scmProd = new gui.Label(" ");
saveChangeMenu.append(scmProd);
saveChangeMenu.append(new gui.Label("LOCATION: "));
var scmLoc = new gui.Label(" ");
saveChangeMenu.append(scmLoc);
saveChangeMenu.append(new gui.Label("CURRENT AMT: "));
var scmOldQuan = new gui.Label(" ");
saveChangeMenu.append(scmOldQuan);
saveChangeMenu.append(new gui.Label("ADJUST AMT: "));
var scmQuanAdj = new gui.Label(" ");
saveChangeMenu.append(scmQuanAdj);
saveChangeMenu.append(new gui.Label("TOTAL QUANT: "));
var scmQuant = new gui.Label(" ");
saveChangeMenu.append(scmQuant);
saveChangeMenu.append(new gui.Label("DATE STAMP: "));
var scmDate = new gui.Label(" ");
saveChangeMenu.append(scmDate);
var scmTime = new gui.Label(" ");
saveChangeMenu.append(scmTime);
var scmScans = new gui.Label(" ");
saveChangeMenu.append(scmScans);
saveChangeMenu.caption = "Review Entry";

//construct menu for the add/subtract option
addSubtract = new gui.Menu();
add = new gui.MenuItem("Add", addQuantity);
subtract = new gui.MenuItem("Subtract", subtractQuantity);
addSubtract.append(add);
addSubtract.append(subtract);
addSubtract.caption = "Add or Subtract?";

//construct product form (creates some labels not shown on form for use as placeholders and computations)
var invApp = new gui.Form(ok);
invApp.append(new gui.Label("PRODUCT:"));
var prodEdit = new gui.Edit("", gui.inputMode.caps);
invApp.append(prodEdit);
invApp.append(new gui.Label("LOCATION:"));
var locEdit = new gui.Edit("", gui.inputMode.caps);
invApp.append(locEdit);
invApp.append(new gui.Label("QUANTITY:"));
var quantEdit = new gui.Edit("", gui.inputMode.numeric,gui.inputMode.numeric,true);
invApp.append(quantEdit); 
invApp.append(new gui.Label("ADJUST AMT:"));
var quantityAdjust = new gui.Edit("", gui.inputMode.numeric,gui.inputMode.numeric,true);
invApp.append(quantityAdjust);
var old = new gui.Label("");  //label used for placeholder and computations, not for display
var totalScans = new gui.Label("");  //label used for placeholder and computations, not for display
var dateEdit = new gui.Label("");  //label used for placeholder and computations, not for display
var timeEdit = new gui.Label("");  //label used for placeholder and computations, not for display
//add buttons
var left = new gui.Softkey("Reset", saveReset);
var right = new gui.Softkey("Back", function(){gui.showDialog(inventoryMenu.options);});
invApp.leftSoftkey = left;
invApp.rightSoftkey = right;
invApp.caption = "Invent. App";

//construct menu for file delete option
var fileDeleteOption = new gui.Menu();
fileDeleteOption.leftSoftkey = new gui.Softkey("Yes", fileDelete);
fileDeleteOption.rightSoftkey = new gui.Softkey("No", function(){gui.showDialog(inventoryMenu.options);});
fileDeleteOption.caption = "Delete File?";


//show main inventory menu for entry into program
gui.showDialog(inventoryMenu);



//function declarations

function sleep(milliSeconds)  //custom sleep function, pass milliseconds as argument when calling this function
{
    var startTime = new Date().getTime();
    while (new Date().getTime() < startTime + milliSeconds);
}

function checkProdQuant()  //shows menu for scanning a product to check its quantity
{
    tempFlag = decodeFlag;
    decodeFlag = 4;
    gui.showDialog(quantCheck);
    return;
}

function checkProdLoc()  //shows menu for scanning a product to check its location
{
    tempFlag = decodeFlag;
    decodeFlag = 5;
    gui.showDialog(quantLoc);
    return;
}

function checkTimeStamp()  //shows menu for scanning a product to check its last entry date
{
    tempFlag = decodeFlag;
    decodeFlag = 6;
    gui.showDialog(quantDate);
}

function checkScans()  //shows menu that displays the total scans
{
    scanNum.text = "    Scans: " + dailyTotal.toString();
    gui.showDialog(scanCheck);
}

function saveChangeDisplay()  //shows menu to display input information and gives option to either save or reset the form
{
    scmRid.text = rId;
    scmProd.text = prodEdit.text;
    scmLoc.text = locEdit.text;
    scmOldQuan.text = oldQuantity;
    scmQuanAdj.text = quantityAdjust.text;
    scmQuant.text = quantEdit.text;
    scmDate.text = dateEdit.text;
    scmTime.text = timeEdit.text;
    scmScans.text = "# SCANS: " + dailyTotal;
    gui.showDialog(saveChangeMenu);
}

function showOption()  //shows menu to either add or subtract the edit amount entered in the form
{
    gui.showMenu(addSubtract);
}

function formReset()  //resets all fields in the form for re-entry (decrements daily total) used only from saveChangeMenu where daily total was incremented but not yet saved
{
    prodEdit.text = "";
    locEdit.text = "";
    quantEdit.text = "";
    dateEdit.text = "";
    quantityAdjust.text = "";
    old.text = "";
    timeEdit.text = "";
    oldQuantity = "";
    dailyTotal--;
    decodeFlag = 0;
    invApp.caption = "Invent. App";
    focusProd();
}

function saveReset()   //resets fields from a save standpoint (doesn't decrement daily total) used everywhere in program except from saveChangeMenu
{
    prodEdit.text = "";
    locEdit.text = "";
    quantEdit.text = "";
    dateEdit.text = "";
    quantityAdjust.text = "";
    old.text = "";
    timeEdit.text = "";
    oldQuantity = "";
    decodeFlag = 0;
    invApp.caption = "Invent. App";
    focusProd();
}

function focusProd()  //puts focus on the product type field
{
    invApp.setActiveChild(prodEdit);
    decodeFlag = 0;
    gui.showForm(invApp); 
}

function focusLoc()  //puts focus on the product location field
{
    invApp.setActiveChild(locEdit);
    decodeFlag = 1;
    gui.showForm(invApp); 
}

function focusQuant()  //puts focus on the product quantity field
{
    invApp.setActiveChild(quantEdit);
    decodeFlag = 2;
    gui.showForm(invApp); 
}

function focusQuantAdjust()  //puts focus on the quantity adjust field
{
    invApp.setActiveChild(quantityAdjust);
    decodeFlag = 3;
    gui.showForm(invApp);
}

function checkFields()  //checks if all fields are populated and validates numeric fields then calls showOption() function 
{
    if (prodEdit.text == "")
        {
            invApp.caption = "Ent. Product";
            focusProd();
            return;
        }
    
    if (locEdit.text == "")
        {
            for (var i = 0; i < products.length; i++)  //checks if item previously scanned and populates location and quantity from previous results
            {
                if (prodEdit.text == products[i] && locEdit.text == "")
                    {
                        locEdit.text = location[i];
                        quantEdit.text = invQuant[i];
                        num = 3;
                        focusQuantAdjust();
                        return;
                    }
            }
            invApp.caption = "Ent. Location";
            focusLoc();
            return;
        }

    if (quantEdit.text == "")
        {
            for (var i = 0; i < products.length; i++)  //checks if item previously scanned and populates quantity from previous results
            {
                if (prodEdit.text == products[i] && locEdit.text == location[i])
                    {
                        quantEdit.text = invQuant[i];
                        focusQuantAdjust();
                        return;
                    }
            }
            invApp.caption = "Ent. Quantity";
            focusQuant();
            return;
        }
        
    temp1 = quantEdit.text;  //validates quantity field, makes sure it is numeric
    for (var i = 0; i < temp1.length; i++)
	{
        if (isNaN(temp1[i]))
            {
                quantError();
                return;
            }
	}
    
    if (quantityAdjust.text == "")
	{
		invApp.caption = "Ent. Adjustmnt";
		focusQuantAdjust();
		return;
	}
        
    temp2 = quantityAdjust.text;  //validates quantity edit field, makes sure it is numeric
    for (var i = 0; i < temp2.length; i++)
    {    
		if (isNaN(temp2[i]))
		{
			adjustError();
			return;
		}
	}    
    if (!quantityAdjust.text == "" && oldQuantity == "") //if all fields are entered and validated, calls an option menu to either save or reset the form
        {
            showOption();
            return;
        }
}

function quantError()  //called when validation finds error in quantity field
{
    quantEdit.text = "";
    reader.beep(3);
    invApp.caption = "Only Numbers!";
    focusQuant();
}

function adjustError()  //called when validation finds error in quantity edit field
{
    quantityAdjust.text = "";
    reader.beep(3);
    invApp.caption = "Only Numbers!";
    focusQuantAdjust();
}

function addQuantity()  //function to process data when add is selected
{
    scanProducts = prodEdit.text;
    scanLocation = locEdit.text;
    oldQuantity = parseInt(quantEdit.text).toString();
    scanQuantity = parseInt(quantEdit.text);
    scanAdjust = parseInt(quantityAdjust.text);
    scanQuantity = scanQuantity + scanAdjust;
    quantEdit.text = scanQuantity.toString();
    old.text = oldQuantity;
    quantityAdjust.text = "+" + scanAdjust.toString();
    dateEdit.text = dateString();
    timeEdit.text = timeString();
    dailyTotal++;
    totalScans.text = "SCAN #: " + dailyTotal;
    invApp.caption = "Invent. App";
    saveChangeDisplay();
    return;
}

function subtractQuantity()  //function to process data when subtraction is selected
{
    scanProducts = prodEdit.text;
    scanLocation = locEdit.text;
    oldQuantity = parseInt(quantEdit.text).toString();
    scanQuantity = parseInt(quantEdit.text);
    scanAdjust = parseInt(quantityAdjust.text);
    scanAdjust *= -1;
    scanQuantity = scanQuantity + scanAdjust;
    quantEdit.text = scanQuantity.toString();
    old.text = oldQuantity;
    quantityAdjust.text = scanAdjust.toString();
    dateEdit.text = dateString();
    timeEdit.text = timeString();
    dailyTotal++;
    totalScans.text = "SCAN #: " + dailyTotal;
    invApp.caption = "Invent. App";
    saveChangeDisplay();
    return;
}

function dateString() //sets date into readable string format
{
    var d = new Date();
    var month = (d.getMonth() + 1).toString();
    var day = (d.getDate()).toString();
    var year = (d.getFullYear()).toString();
    var weekDay = (d.getDay()).toString();
    var testDay = new Array("0","1","2","3","4","5","6");
    var compareDay = new Array("Sun","Mon","Tues","Wed","Thurs","Fri","Sat");
    for (i = 0; i < testDay.length; i++)
        {
            if (weekDay == testDay[i])
                {
                    weekDay = compareDay[i];
                    break;
                }
        }
    var n = month + "/" + day + "/" + year + " " + weekDay;
    return n;
}

function timeString() //sets time into a string format
{
    var d = new Date();
    var hours = (d.getHours()).toString();
    if (hours.length == 1)
        {
            hours = "0" + hours;
        }
    var minutes = (d.getMinutes()).toString();
    if (minutes.length == 1)
        {
            minutes = "0" + minutes;
        }
    var seconds = (d.getSeconds()).toString();
    if (seconds.length == 1)
        {
            seconds = "0" + seconds;
        }
    var n = hours + ":" + minutes + ":" + seconds;
    return n;
}

function appendFile()  //function to append data to array, creates a new header in array if program is started and first scan is being saved (called from the saveAll() function)
{
    if (fullScannerId.length == 0)
        {
            fullScannerId.push("SCANNER_ID");
            fullProducts.push("PRODUCT");
            fullLocation.push("LOCATION");
            fullOldQuant.push("CURRENT_AMT");
            fullQuantAdjust.push("ADJUST_AMT");
            fullInvQuant.push("TOTAL_QUANT");
            fullDateStamp.push("TIME_STAMP");
            fullScanNumber.push("SCAN_#");
        }
    fullScannerId.push(rId);
    fullProducts.push(prodEdit.text);
    fullLocation.push(locEdit.text);
    fullOldQuant.push(old.text);
    fullQuantAdjust.push(quantityAdjust.text);
    fullInvQuant.push(quantEdit.text);
    fullDateStamp.push(timeStamp);
    fullScanNumber.push(dailyTotal);
}

function fileUpload()
{
    var temp1 = fullScannerId.slice(0);
    var temp2 = fullProducts.slice(0);
    var temp3 = fullLocation.slice(0);
    var temp4 = fullOldQuant.slice(0);
    var temp5 = fullQuantAdjust.slice(0);
    var temp6 = fullInvQuant.slice(0);
    var temp7 = fullDateStamp.slice(0);
    var temp8 = fullScanNumber.slice(0);
    if (temp1.length == 0)
        {
            reader.beep(3);
            return;
        }
    else
        {
            temp1.push("");
            temp2.push("");
            temp3.push("");
            temp4.push("");
            temp5.push("");
            temp6.push("");
            temp7.push("");
            temp8.push("");
            result = comm.connect(20);
            rMode = reader.readSetting(0x1b);  //checks the comm mode of the reader
            if (result)
                {
                    var sent = false;
                    function sendChunk()
                    {
                        arraySize = temp1.length;
                        var counter = 0;
                        for (var i = 0; i < arraySize - 1; i++)
                            {
                                comm.sendPacket('z', temp1[0] + "\x01X\x1ean//t\x04" + temp2[0] + "\x01X\x1ean//t\x04" + temp3[0] + "\x01X\x1ean//t\x04" + temp4[0] + "\x01X\x1ean//t\x04" + temp5[0] 
                                                    + "\x01X\x1ean//t\x04" + temp6[0] + "\x01X\x1ean//t\x04" + temp7[0] + "\x01X\x1ean//t\x04" + temp8[0] + "\x01X\x1ean//n\x04");
                                temp1.shift();
                                temp2.shift();
                                temp3.shift();
                                temp4.shift();
                                temp5.shift();
                                temp6.shift();
                                temp7.shift();
                                temp8.shift();
                                counter++;
                                if (temp1.length == 1)
                                    {
                                        sent = true;
                                    }
                                if (counter == 50)
                                    {
                                        return;
                                    }
                            }
                    }
                    while (temp1.length > 1)
                        {
                            if (rMode == 2)
                                {
                                    reader.writeSetting(0x08, 1);  //sets to raw data, this setting must be kept inside loop, otherwise reader freezes on large file uploads when cabled!
                                    reader.writeSetting(0x42, 0);
                                    reader.saveSettings();
                                    sendChunk();
                                }
                            else
                                {
                                    reader.writeSetting(0x08, 2);  //sets to packetized data, this setting must be kept inside loop, otherwise reader freezes on large file uploads when un-cabled!
                                    reader.writeSetting(0x42, 1);
                                    reader.saveSettings();
                                    sendChunk();
                                }
                        }
                    if (sent)
                        {
                            temp1.length = 0;
                            temp2.length = 0;
                            temp3.length = 0;
                            temp4.length = 0;
                            temp5.length = 0;
                            temp6.length = 0;
                            temp7.length = 0;
                            temp8.length = 0;
                            gui.showDialog(fileDeleteOption);
                        }
                    else
                        {
                            reader.beep(3);
                        }
                }
            else
                {
                    reader.beep(3);
                }
        }
}

function fileDelete()
{
    fullScannerId.length = 0;
    fullProducts.length = 0;
    fullLocation.length = 0;
    fullOldQuant.length = 0;
    fullQuantAdjust.length = 0;
    fullInvQuant.length = 0;
    fullDateStamp.length = 0;
    fullScanNumber.length = 0;
    reader.beep(1);
    gui.showDialog(inventoryMenu.options);
}

function saveAll() //sets timestamp on form and saves info to arrays
{
    for (var i = 0; i < products.length; i++)  //checks if product exists in arrays and alters them
        {
            if (prodEdit.text == products[i] && !prodEdit.text == "" && locEdit.text == location[i] && !locEdit.text == "") //modifies arrays if product has been previously scanned
                {
                    scanQuantity = quantEdit.text;
                    scanAdjust = quantityAdjust.text;
                    timeStamp = dateEdit.text + " " + timeEdit.text;
                    scannerId[i] = rId;
                    oldQuant[i] = oldQuantity;
                    quantAdjust[i] = scanAdjust;
                    invQuant[i] = scanQuantity;
                    dateStamp[i] = timeStamp;
                    scanNumber[i] = dailyTotal;
                    appendFile();
                    invApp.caption = "Saved to log!";
                    gui.showForm(invApp);
                    sleep(1000);
                    reader.beep(1);
                    saveReset();
                    return;
                }
        }
    if(!prodEdit.text == "" && !locEdit.text == "" && !quantEdit.text == "" && !quantityAdjust.text == "")  //adds new element to arrays for products that have not been scanned
        {
            //save the information to file 
            scanProducts = prodEdit.text;
            scanLocation = locEdit.text;
            scanQuantity = quantEdit.text;
            scanAdjust = quantityAdjust.text;
            timeStamp = dateEdit.text + " " + timeEdit.text;
            scannerId.push(rId);
            products.push(scanProducts);
            location.push(scanLocation);
            oldQuant.push(oldQuantity);
            quantAdjust.push(scanAdjust);
            invQuant.push(scanQuantity);
            dateStamp.push(timeStamp);
            scanNumber.push(dailyTotal);
            appendFile();
            invApp.caption = "Saved to log!";
            gui.showForm(invApp);
            sleep(1000);
            reader.beep(1);
            saveReset();
            return;
        }
    else
        {
            reader.beep(3);
            checkFields();
        }
}

function inventoryForm() //function to show the inventory form when called
{
    gui.showForm(invApp);
}

function ok()  //when OK is selected, triggers checkFields() function
{
    checkFields();
}

function cancel()  //when cancel is selected, shows the main inventory demo screen
{
    menu = inventoryMenu;
    gui.showDialog(menu);
}


//reader decode interface

reader.onDecode = function(decode)  //sets the reader decode parsing, depending on value of the programs decodeFlag variable
{
    switch(decodeFlag)
        {
            case 6:
                checkStamp = decode.data;
                for (var i = 0; i < products.length; i++)
                    {
                        if (checkStamp == products[i])
                            {
                                var temp1 = dateStamp[i];
                                var temp2 = "";
                                var broken = temp1.split(" ");
                                for (var j = 0; j < broken.length - 1; j++)
                                    {
                                        temp = temp2;
                                        temp2 = temp + " " + broken[j];
                                    }
                                temp1 = (" " + temp1).replace(temp2, "");
                                displayFives.text = checkStamp;
                                displaySix.text = "was edited on";
                                displayStamp.text = temp2.replace(" ", "");
                                displaySeven.text = temp1.replace(" ", "");
                                displayEight.text = " Scanner ID:";
                                displayNine.text = "  " + scannerId[i];
                                return;
                            }
                    }
                displayFives.text = " ";
                displaySix.text = "     Item not ";
                displayStamp.text = "     Entered ";
                displaySeven.text = " ";
                displayEight.text = " ";
                displayNine.text = " ";
                break;
            case 5:
                checkLoc = decode.data;
                for (var i = 0; i < products.length; i++)
                    {
                        if (checkLoc == products[i])
                            {
                                displayFour.text = checkLoc;
                                displayLoc.text = "is located at";
                                displayFive.text = location[i];
                                return;
                            }
                    }
                displayFour.text = "     Item not ";
                displayLoc.text = "     Entered ";
                displayFive.text = " ";
                break;
            case 4:
                checkProd = decode.data;
                for (var i = 0; i < products.length; i++)
                    {
                        if ( checkProd == products[i])
                            {
                                displayTwo.text = checkProd;
                                displayInfo.text = "has " + invQuant[i] + " items";
                                return;
                            }
                    }
                displayTwo.text = "     Item not ";
                displayInfo.text = "     Entered ";
                break;
					
            case 3:
                s = quantityAdjust.text;
                quantityAdjust.text = s + decode.data;
                break;
            case 2:
                s = quantEdit.text;
                quantEdit.text = s + decode.data;
                break;
            case 1:
                locEdit.text = decode.data;
                checkFields();
                break;
            default:
                prodEdit.text = decode.data;
                checkFields();
                break;
        }
}

//EOF