/* Filename:    J004_SimpleInv4.js
 * Description: Creating a simple inventory application -
 *              Adding functions for the form's Ok and Cancel (clear) actions
 * Copyright:   2014 The Code Corporation.  All rights are reserved.
 * $Revision: 636 $
 * $Date: 2014-02-26 17:24:04 -0700 (Wed, 26 Feb 2014) $
 */
 
// Form event handlers
function inventoryOnOk()
{
    gui.alert(gui.showForm(inventory), "You pressed  OK");
}

function inventoryOnCancel()
{
    gui.alert(gui.showForm(inventory), "You pressed Cancel");
}

// Create form and edit fields (note that now the form is passed the onOk and onCancel funcions)
var inventory = new gui.Form(inventoryOnOk, inventoryOnCancel);
var itemEdit  = new gui.Edit();
var quantEdit = new gui.Edit();

// Add label and edit boxes to the form
inventory.append(new gui.Label("Item #:"));
inventory.append(itemEdit);
inventory.append(new gui.Label("Quantity:"));
inventory.append(quantEdit);

// Add a caption
inventory.caption = "Inventory";

// Show the form
gui.showForm(inventory);

//EOF
