/* Filename:    J013_readyShowOverload.js
 * Description: Overload the Ready screen to run inventory app
 * To use: make this script the default (in .default.js)
 * and provide inventory.js (such as a copy of SimpleInv7)
 * Copyright:   2014 The Code Corporation.  All rights are reserved.
 * $Revision: 636 $
 * $Date: 2014-02-26 17:24:04 -0700 (Wed, 26 Feb 2014) $
 */
 
if(storage.read(".crx.js")) //Running on the CR3500 Hardware
    include(".crx.js");
if(storage.read(".cre.js")) //Running on the CR3600 Hardware
    include(".cre.js");


function runInventory()
{
    if( !reader.runScript("J07_SimpleInv7.js") )
        alert(ready.show(), "failed to run J007_SimpleInv7.js");
}


ready.rightSoftkey = new gui.Softkey("Invntory",  runInventory);
ready.show();

//EOT
